Subject: Re: [PATCH] git gui: use apply --unidiff-zero when staging hunks without context

From: Clemens Buchacher <[email-masked]>
Date: Sat, 30 Aug 2008 23:00:07 +0200

On Sat, Aug 30, 2008 at 01:52:23PM -0700, Junio C Hamano wrote:
> Well, showing is Ok as long as you do not try pick and apply.  Or did I
> miss something?

If I understand correctly git gui bases its patches on what it shows in the
diff window - which makes sense, because otherwise it would be a PITA to
find out which hunk the user actually wanted.

We could allow diffs without context and disable staging in that case, but I
suspect this would only confuse the user.